# Boost Exception

## boost/exception/diagnostic_information.hpp

### Synopsis

    #include <string>

    namespace
    boost
        {
        class exception;

        template <class E>
        std::string diagnostic_information( E const & e );

        std::string current_exception_diagnostic_information();
        }

### See Also:

boost/exception.hpp
current_exception_diagnostic_information
diagnostic_information
Synopsis